PATEST(1)

NAME

patest, a pattern translator for test.

SYNOPSIS

patest -tomsa <patfile> [-t <tplfile>] [-m <msafile>]

patest -topat <msafile> [-f <patfile>] [-p <patfile>]

DESCRIPTION

patest translates patterns from ALLIANCE CAD SYSTEM world to LV500 world and vice-versa.

The LV500 is an electronic tester for digital circuit from Tecktronix®. It can handle up to 256 channels with a maximum resolution of 0.5 ns. 1) From ALLIANCE CAD SYSTEM to LV500

patest -tomsa <patfile> [-t <tplfile>] [-m <msafile>]

-tomsa <patfile>
    This is the pattern file to be traduced. This file is in PAT format. As you cannot check the values of internal signals and internal registers in a manufactured chip, signal and register constructs are not allowed. See pat(5) for more information on PAT format.

-t <tplfile>
    This is a file written in TPL format. It describes timing characteristics and wiring information of the chip. See tpl(5) for more information on TPL format. if tplfile is not provided, patest will look for a file called "<patfile>.tpl"

-m <msafile>
    This is the name of the MSA file that patest produce. if not provided, patest will write a file called "<patfile>.msa"

2) From LV500 to ALLIANCE CAD SYSTEM

patest -topat <msafile> [-f <patfile>] [-p <patfile>]

-topat <msafile>
    This is the MSA file to traduced. It usually results from the execution of a MSA file produces by patest on the LV500 tester.

-f <patfile>
    This is the name of the old PAT file (The PAT file wich has produced the MSA file used on the tester). if not provided, patest will look for a file called "<msafile>.pat"

-p <patfile>
    This is the name of the new PAT file to produce as the result of the execution of the old PAT file on the LV500 tester. if not provided, patest will write a file called "<msafile>.pat"

EXAMPLE

A typical session of test is:

(1) Produce a msa file
    caracvect.msa is produced from the pattern file caracvect.pat and the TPL file carac.tpl:
    > patest -tomsa caracvect -t carac
    The PAT file caracvect.pat is usually verified before sending it to the tester using the VHDL simulator asimut.

(3) Send the msa file to the tester
    The MSA file caracvect.msa is sent to the tester using FTP or the lv500 batch:
    > lv500 -s caracvect.msa
    See lv500(1) for more information on the lv500 batch.

(3) Execute the msa file on the tester
    The MSA file is compiled an executed on the tester. The result is decompiled in a MSA file (rescarac.msa for example). See the Textronix Manual for informations on the LV500 tester.

(4) Get the msa result file from the tester
    The MSA result file rescarac.msa is retrieved from the tester using FTP or the lv500 batch:
    > lv500 -s rescarac.msa
    See lv500(1) for more information on the lv500 batch.

(5) Convert the msa result file to pat format
    The PAT file rescarac.pat is produced using the MSA file rescarac.msa but also the old file caracvect.pat.
    > patest -topat rescarac -f caracvect

FILES
When an error occurs during translation, patest produce an error file named <patfile>.log or <msafile>.log

SEE ALSO

tpl(5), pat(5), asimut(1), lv500(1)